package com.bpcl.lpg.core.credentials.impl;

import com.bpcl.lpg.core.model.EasysecsModel;
import com.bpcl.lpg.core.model.LPGNextApiCredsModel;
import com.bpcl.lpg.core.credentials.dao.LPGCredentialsDao;
import com.bpcl.lpg.core.credentials.LPGCredentialsService;

public class LPGCredentialServiceImpl implements LPGCredentialsService
{
    private LPGCredentialsDao credentialsDao;
    
    public LPGNextApiCredsModel getCredsModelByApiName(final String apiName) {
        return this.credentialsDao.getCredsModelByApiName(apiName);
    }
    
    public String getPartnerCodeByApiName(final String apiName) {
        final LPGNextApiCredsModel apiCredsModel = this.getCredsModelByApiName(apiName);
        return apiCredsModel.getPartnerCode();
    }
    
    public String getPartnerSecretByApiName(final String apiName) {
        final LPGNextApiCredsModel apiCredsModel = this.getCredsModelByApiName(apiName);
        return apiCredsModel.getPartnerSecret();
    }
    
    public EasysecsModel getSecretsByKey(final String key) {
        return this.credentialsDao.getSecretByKey(key);
    }
    
    public void setCredentialsDao(final LPGCredentialsDao credentialsDao) {
        this.credentialsDao = credentialsDao;
    }
}
